<template>
	<view class="container">
		<view class="row b-b">
			<text class="tit">{{$t('reg.a2')}}</text>
			<input class="input" v-model="account" type="text" :placeholder="$t('reg.a3')" placeholder-class="placeholder" />
		</view>
		<view class="row b-b">
			<text class="tit">{{$t('reg.a8')}}</text>
			<input class="input" v-model="password" type="password" :placeholder="$t('reg.a9')" placeholder-class="placeholder" />
		</view>
		<view class="row b-b">
			<text class="tit">{{$t('reg.b0')}}</text>
			<input class="input" v-model="repeat" type="password" :placeholder="$t('reg.b1')" placeholder-class="placeholder" />
		</view>
		<view class="row b-b">
			<text class="tit">{{$t('reg.a6')}}</text>
			<input class="input" v-model="captcha" type="text" :placeholder="$t('reg.a7')" placeholder-class="placeholder" />
			<view class="code" @click="verification">{{ countDown == 0 ? $t('reg.c6') : countDown }}</view>
		</view>
		<button class="add-btn" :class="{'bg-gray':loding}" @click="loding?'':confirm()">{{$t('common.submit')}}</button>
	</view>
</template>

<script>
import { verify } from '@/api/login.js';
import { mapState } from 'vuex';
import { registerReset } from '@/api/set.js';
export default {
	data() {
		return {
			time: '', //保存倒计时对象
			countDown: 0, //倒计时
			account: '', //手机号
			captcha: '', //验证码
			password: '' ,//新密码
			repeat: '', //重复密码
			loding:false,//是否载入中
		};
	},
	computed: {
		...mapState(['userInfo'])
	},
	onLoad() {
		if(this.userInfo.phone == null){
			this.account = '';
		}else{
			this.account = this.userInfo.phone;
			this.show = false;
		}
		uni.setNavigationBarTitle({
			title: this.$t("tab.b3"),
		});
	},
	watch: {
		// 监听倒计时
		countDown(i) {
			if (i == 0) {
				clearInterval(this.time);
			}
		}
	},
	methods: {
		//发送验证码
		verification() {
			let obj = this;
			if (this.account == '') {
				this.$api.msg('请输入电话号码');
				return;
			}
			if (!/(^1[3|4|5|7|8][0-9]{9}$)/.test(this.account)) {
				this.$api.msg('请输入正确的手机号');
				return;
			}
			// 判断是否在倒计时
			if (obj.countDown > 0) {
				return false;
			} else {
				obj.countDown = 60;
				obj.time = setInterval(() => {
					obj.countDown--;
				}, 1000);
				//调用验证码接口
				verify({
					phone: obj.account,
					type: ''
				})
					.then(({ data }) => {})
					.catch(err => {
						console.log(err);
					});
			}
		},
	
		confirm(e) {
		    // 检查两次输入的新密码是否一致
		    if (this.password === this.repeat) {
		      // 发送请求或执行逻辑来修改密码
		      // 根据具体需求进行操作
		      console.log('密码修改成功');
		      // 更新交易密码
		      this.password = this.repeat;
		      // 清空输入框
		      this.password = '';
		      this.repeat = '';
		    } else {
		      console.log('两次输入的密码不一致');
		    }
		  
		}
	}
};
</script>

<style lang="scss">
page {
	background: #f3f3f3;
}
.row {
	
	display: flex;
	align-items: center;
	position: relative;
	padding: 0 30rpx;
	height: 110rpx;
	background: $font-color-white;

	.tit {
		min-width: 130rpx;
		flex-shrink: 0;
		font-size: 30rpx;
	}
	.input {
		flex: 1;
		font-size: 30rpx;
		color: $font-color-light;
		padding-left: 20rpx;
	}
	.iconlocation {
		font-size: 36rpx;
		color: $font-color-light;
	}
}
.add-btn {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100rpx;
	margin: 60rpx auto;
	font-size: $font-lg;
	background-color: #FFF;
	border:none;
}

.bg-gray{
	background-color: $color-gray;
}
.code {
	color: #5dbc7c;
	font-size: 23rpx;
	border-left: 1px solid #eeeeee;
	width: 150rpx;
	flex-shrink: 0;
	text-align: center;
}
</style>
